import { ValidatorFn } from '@angular/forms';

export function fiscalCodeValidator(): ValidatorFn {
  return (control) => {
    if (control.value === null || control.value === undefined || control.value === '') {
      return null;
    }
    return null;
    return control.value.length === 11 && /^[0-9]{11}$/.test(control.value)
      ? null
      : { fiscalCode: 'معتبر نیست' };
  };
}
